'use strict';

var _dockerRegistryClient = require('docker-registry-client');

var _dockerRegistryClient2 = _interopRequireDefault(_dockerRegistryClient);

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('../package.json');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(_package.version).option('-q, --quiet', 'Do not print anything to console').option('-r, --repo [repo]', 'Docker repo name (owner/name:tag)', '').option('-u, --username [username]', 'Docker username', process.env.DOCKER_USER).option('-p, --password [password]', 'Docker password', process.env.DOCKER_PASSWORD).parse(process.argv);

if (typeof _commander2.default.repo !== 'string' || _commander2.default.repo.trim().length === 0) {
  throw new Error('You must specify --repo for docker-image-exists to work!');
}

const rar = _dockerRegistryClient2.default.parseRepoAndRef(_commander2.default.repo);

const client = _dockerRegistryClient2.default.createClientV2({
  repo: rar,
  username: _commander2.default.username,
  password: _commander2.default.password
});

const tagOrDigest = rar.tag || rar.digest;

client.getManifest({ ref: tagOrDigest }, err => {
  client.close();

  if (!_commander2.default.quiet) {
    console.log(err || `The docker image at "${_commander2.default.repo}" exists`);
  }

  process.exit(err ? 1 : 0);
});